Package com.sun.speech.engine

# Class SpeechEventWrapper

SpeechEvent
com.sun.speech.engine.SpeechEventWrapper

public class SpeechEventWrapper extends SpeechEvent
Wraps an arbitrary event object (from `EventObject`) in a `SpeechEvent` so that it can be dispatched through the speech event dispatch mechanism. One use of this is in the `BaseEngineProperties` class that needs to wrap and issue `PropertyChangeEvents`.

See Also:
  - `SpeechEventUtilities`
  - `EventObject`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EventObject`
`eventObject`
The wrapped event.
`protected static int`
`WRAPPER_ID`
Use an id that won't be confused with JSAPI event ids.

## Constructor Summary

Constructors
Constructor
Description
`SpeechEventWrapper(EventObject e)`
Class constructor.

## Method Summary

Modifier and Type
Method
Description
`EventObject`
`getEventObject()`
Gets the wrapped event.

## Field Details

### WRAPPER_ID

protected static int WRAPPER_ID
Use an id that won't be confused with JSAPI event ids.

### eventObject

protected EventObject eventObject
The wrapped event.

## Constructor Details

### SpeechEventWrapper

public SpeechEventWrapper(EventObject e)
Class constructor.

Parameters:
  `e` - the `EventObject` to wrap.

## Method Details

### getEventObject

public EventObject getEventObject()
Gets the wrapped event.

Returns:
  the event that was passed to the constructor